Skip to main content
GET
/
api
/
v3
/
groups
List user groups
curl --request GET \
  --url https://paradigm.lighton.ai/api/v3/groups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://paradigm.lighton.ai/api/v3/groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://paradigm.lighton.ai/api/v3/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "company_id": 123,
      "category": "<string>",
      "name": "<string>",
      "description": "<string>",
      "user_ids": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

category
enum<string>

Filter by group category: 'company', 'private', or 'custom' (team).

Available options:
company,
custom,
private
company_id
integer

Company ID to filter groups (only for Admin/Sys Admin/Account Manager)

has_role
enum<string>

Filter groups by the role the user (specified via user_id) has in them. Has no effect without user_id.

Available options:
member,
owner
page
integer

Page number (default: 1)

per_page
integer

Items per page (default: 20, max: 100)

Filter by group name (case-insensitive)

user_id
integer

User ID to filter groups

Response

List of groups with pagination (wrapped in 'data' field with 'pagination' metadata)

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"